/*
 * (c) Oleg Puchinin 2006
 * graycardinalster@gmail.com
 * 
 */ 

#ifndef DEFINE_WIT_H
#define DEFINE_WIT_H

#define GLOBAL_TYPE_VARIABLE (1<<0)
#define GLOBAL_TYPE_TYPEDEF (1<<1)
#define GLOBAL_TYPE_EXTERN (1<<2)
#define GLOBAL_TYPE_FUNCTION (1<<3)
#define GLOBAL_TYPE_STRUCT (1<<4)

// defenitions
#define OP_TYPE_VARIABLE GLOBAL_TYPE_VARIABLE
#define OP_TYPE_TYPEDEF GLOBAL_TYPE_TYPEDEF
#define OP_TYPE_EXTERN GLOBAL_TYPE_EXTERN
#define OP_TYPE_FUNCTION GLOBAL_TYPE_FUNCTION
#define OP_TYPE_STRUCT GLOBAL_TYPE_STRUCT
#define OP_TYPE_MACRO (1<<5)
// others
#define OP_TYPE_OP (1<<6)
#define OP_TYPE_CALL (1<<7)
#define OP_TYPE_DEFINE (1<<8)
#define OP_TYPE_NOP (1<<9)
#define OP_TYPE_OTHER (1<<31)
#define GLOBAL_TYPE_DEFINE OP_TYPE_DEFINE

#define GLOBAL_TYPE_CLASS (1<<10)
#define OP_TYPE_CLASS GLOBAL_TYPE_CLASS
#define GLOBAL_TYPE_NAMESPACE (1<<11)
#define OP_TYPE_NAMESPACE GLOBAL_TYPE_NAMESPACE

#endif
